.im man.im
.NM unrotate format lines for KWIC index
.SY unrotate
.FU
.ital unrotate
reads its input a line at a time and writes an "unfolded" version
to its output.
A line is "folded" if it contains within it an instance of the fold character
.ital $;
"unfolding" involves writing from the end of the line down to but
not including the fold character, starting in column 39 of the
output line, wrapping characters that would thus appear
before column 1
around to the end of the line,
then writing the remainder of the line
starting at column 41 and wrapping around at column 80 if necessary.

.ital unrotate
is used with
.ital kwic
and
.ital sortf
to produce a KeyWord In Context, or KWIC, index.
.EG
.Q1
unrotate
a test.$This is
is a test.$This
test.$This is a
This is a test.$
<ENDFILE>
.bold "                     This is  a test."
.bold "                        This  is a test."
.bold "                   This is a  test."
.bold "                test.         This is a"
.Q2
